ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vyacheslav Daradur <daradu...@gmail.com>
Subject Re: [VOTE] Apache Ignite 1.9.0 RC1
Date Thu, 02 Mar 2017 10:39:21 GMT
Anton, I found it too.

And I confirm, it is the main reason of building-error.

If remove <script>.....</script>, then:
"mvn clean package -DskipTests"
jdk1.8.0_121_x64 - fine
jdk1.8.0_91_x64 - fine

As I understood, this script create a link to Ignite-twitter.
I think it is not very important.

I am trying another solution. (change of building order)

2017-03-02 13:38 GMT+03:00 Anton Vinogradov <avinogradov@gridgain.com>:

> I propose to remove this script and keep only
>
> <a href="https://twitter.com/ApacheIgnite"
> class="twitter-follow-button" data-show-count="false"
> data-size="large">Follow @ApacheIgnite</a>
>
> and fix this in proper way before next release.
>
> Thoughts?
>
> On Thu, Mar 2, 2017 at 1:05 PM, Anton Vinogradov <avinogradov@gridgain.com
> >
> wrote:
>
> > I found the reason,
> >
> > Thats because of <bottom> tag content at parent/pom.xml:455
> > It contains
> > <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(
> > s)[0],p=/^http:/.test(d.location)?'http':'https';if(!
> > d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://
> > platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,
> > fjs);}}(document
> > <http://platform.twitter.com/widgets.js';fjs.parentNode.
> insertBefore(js,fjs);%7D%7D(document>,
> > 'script', 'twitter-wjs');</script>
> >
> > Do we really need it?
> >
> > On Thu, Mar 2, 2017 at 12:57 PM, Anton Vinogradov <
> > avinogradov@gridgain.com> wrote:
> >
> >> Vyacheslav,
> >>
> >> Do you have Ideas why we got
> >> [ERROR] Failed to execute goal org.apache.maven.plugins:
> maven-javadoc-plugin:2.10.1:jar
> >> (module-javadoc) on project ignite-tools: MavenReportException: Error
> while
> >> creating archive:
> >> [ERROR] Exit code: 1 - javadoc: error - Argument for -bottom contains
> >> JavaScript.
> >> [ERROR] Use --allow-script-in-comments to allow use of JavaScript.
> >>
> >> at 1.8.0_121-b13 without --allow-script-in-comments flag?
> >>
> >> On Thu, Mar 2, 2017 at 12:53 PM, Vyacheslav Daradur <
> daradurvs@gmail.com>
> >> wrote:
> >>
> >>> >> Which one is true?
> >>>
> >>> This one true for https://dist.apache.org/repos/
> >>> dist/dev/ignite/1.9.0-rc1:
> >>> jdk8u121_x64 - *fine*
> >>> jdk8u91_x64 - *fail
> >>>
> >>> 2017-03-02 12:52 GMT+03:00 Vyacheslav Daradur <daradurvs@gmail.com>:
> >>>
> >>> > >> I got this exception with the lates jdk-8u121.
> >>> > I had this problem earlier, not with RC.
> >>> > Sorry for misleading
> >>> >
> >>> > >> Which one is true?
> >>> >
> >>> > This one true for https://dist.apache.org/repos/
> >>> dist/dev/ignite/1.9.0-rc1:
> >>> > jdk8u121_x64 - *fine*
> >>> > jdk8u91_x64 - *fail
> >>> >
> >>> >
> >>> >
> >>> >
> >>> >
> >>> > 2017-03-02 12:46 GMT+03:00 Anton Vinogradov <
> avinogradov@gridgain.com
> >>> >:
> >>> >
> >>> >> Folks,
> >>> >> Right before vote I faced with compilation error at 1.8.0_121-b13,
> >>> that's
> >>> >> why this flag was added.
> >>> >>
> >>> >> Vyacheslav,
> >>> >> at first message you told
> >>> >> >> I got this exception with the lates jdk-8u121.
> >>> >>
> >>> >> at next one
> >>> >> >> jdk8u121_x64 - *fine*
> >>> >> >> jdk8u91_x64 - *fail*
> >>> >>
> >>> >> Which one is true?
> >>> >>
> >>> >> I have no compilation errors at latest 1.8.0_121-b13
> >>> >>
> >>> >> Anyways, I'm looking for better solution.
> >>> >>
> >>> >> On Thu, Mar 2, 2017 at 12:42 PM, Vyacheslav Daradur <
> >>> daradurvs@gmail.com>
> >>> >> wrote:
> >>> >>
> >>> >> > Guys, I found that.
> >>> >> >
> >>> >> > apache-ignite-1.9.0-src\parent\pom.xml
> >>> >> >
> >>> >> > line: 940
> >>> >> >
> >>> >> > We need to remove flag "--allow-script-in-comments",
> >>> >> > it is new, and not capability with version less than jdk8u121_x64
> >>> >> >
> >>> >> > I can create PR with fix, or you can just fix it yourself.
> >>> >> >
> >>> >> > 2017-03-02 12:35 GMT+03:00 Vyacheslav Daradur <
> daradurvs@gmail.com
> >>> >:
> >>> >> >
> >>> >> > > I checked it:
> >>> >> > >
> >>> >> > > jdk8u121_x64 - *fine*
> >>> >> > > jdk8u91_x64 - *fail*
> >>> >> > >
> >>> >> > > It is strange.
> >>> >> > >
> >>> >> > > 2017-03-02 11:53 GMT+03:00 Sergey Kozlov <skozlov@gridgain.com
> >:
> >>> >> > >
> >>> >> > >> I used Oracle JDK 1.8.0_91
> >>> >> > >>
> >>> >> > >> On Thu, Mar 2, 2017 at 11:38 AM, Vyacheslav Daradur
<
> >>> >> > daradurvs@gmail.com>
> >>> >> > >> wrote:
> >>> >> > >>
> >>> >> > >> > Denis, Sergey witch version of JDK8 do you use?
> >>> >> > >> >
> >>> >> > >> > I got this exception with the lates jdk-8u121.
> >>> >> > >> >
> >>> >> > >> > Building with flag "-Dmaven.javadoc.skip=true"
works fine.
> >>> >> > >> >
> >>> >> > >> > Look at "*New --allow-script-in-comments option
for
> javadoc":*
> >>> >> > >> > http://www.oracle.com/technetwork/java/javase/8u121-relnotes
> >>> >> > >> -3315208.html
> >>> >> > >> >
> >>> >> > >> >
> >>> >> > >> >
> >>> >> > >> > 2017-03-02 10:53 GMT+03:00 Sergey Kozlov <
> skozlov@gridgain.com
> >>> >:
> >>> >> > >> >
> >>> >> > >> > > Hi
> >>> >> > >> > >
> >>> >> > >> > > I confirm the issue. Unfortunately it was
introduced with
> >>> latest
> >>> >> > >> commits
> >>> >> > >> > > after the run of full set of tests.
> >>> >> > >> > >
> >>> >> > >> > > On Thu, Mar 2, 2017 at 6:38 AM, Denis Magda
<
> >>> dmagda@apache.org>
> >>> >> > >> wrote:
> >>> >> > >> > >
> >>> >> > >> > > > Getting absolutely the same exception
under JDK 8.
> >>> >> > >> > > >
> >>> >> > >> > > > —
> >>> >> > >> > > > Denis
> >>> >> > >> > > >
> >>> >> > >> > > > > On Mar 1, 2017, at 3:12 PM, Valentin
Kulichenko <
> >>> >> > >> > > > valentin.kulichenko@gmail.com>
wrote:
> >>> >> > >> > > > >
> >>> >> > >> > > > > -1
> >>> >> > >> > > > >
> >>> >> > >> > > > > Building with 'mvn clean package
-DskipTests' under
> JDK8
> >>> >> fails
> >>> >> > >> with
> >>> >> > >> > the
> >>> >> > >> > > > > error below. JDK7 is fine, though.
> >>> >> > >> > > > >
> >>> >> > >> > > > > [INFO] ------------------------------
> >>> >> > >> ------------------------------
> >>> >> > >> > > > > ------------
> >>> >> > >> > > > > [INFO] BUILD FAILURE
> >>> >> > >> > > > > [INFO] ------------------------------
> >>> >> > >> ------------------------------
> >>> >> > >> > > > > ------------
> >>> >> > >> > > > > [INFO] Total time: 12.626 s
> >>> >> > >> > > > > [INFO] Finished at: 2017-03-01T14:05:08-08:00
> >>> >> > >> > > > > [INFO] Final Memory: 80M/654M
> >>> >> > >> > > > > [INFO] ------------------------------
> >>> >> > >> ------------------------------
> >>> >> > >> > > > > ------------
> >>> >> > >> > > > > [ERROR] Failed to execute goal
> org.apache.maven.plugins:
> >>> >> > >> > > > > maven-javadoc-plugin:2.10.1:jar
(module-javadoc) on
> >>> project
> >>> >> > >> > > > ignite-tools:
> >>> >> > >> > > > > MavenReportException: Error while
creating archive:
> >>> >> > >> > > > > [ERROR] Exit code: 1 - javadoc:
error - invalid flag:
> >>> >> > >> > > > > --allow-script-in-comments
> >>> >> > >> > > > > [ERROR]
> >>> >> > >> > > > > [ERROR] Command line was: /Library/Java/
> >>> >> > >> > JavaVirtualMachines/jdk1.8.0_
> >>> >> > >> > > > > 92.jdk/Contents/Home/jre/../bin/javadoc
@options
> >>> @packages
> >>> >> > >> > > > > [ERROR]
> >>> >> > >> > > > > [ERROR] Refer to the generated
Javadoc files in
> >>> >> > >> > > > > '/Users/vkulichenko/Downloads/apache-ignite-1.9.0-src/
> >>> >> > >> > > > modules/tools/target/apidocs'
> >>> >> > >> > > > > dir.
> >>> >> > >> > > > > [ERROR] -> [Help 1]
> >>> >> > >> > > > >
> >>> >> > >> > > > > -Val
> >>> >> > >> > > > >
> >>> >> > >> > > > > On Tue, Feb 28, 2017 at 11:51
PM, Антон Чураев <
> >>> >> > >> churaev.an@gmail.com
> >>> >> > >> > >
> >>> >> > >> > > > wrote:
> >>> >> > >> > > > >
> >>> >> > >> > > > >> +1
> >>> >> > >> > > > >>
> >>> >> > >> > > > >> 2017-03-01 10:28 GMT+03:00
Anton Vinogradov <
> >>> av@apache.org
> >>> >> >:
> >>> >> > >> > > > >>
> >>> >> > >> > > > >>> Dear Sirs!
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> We have uploaded the
1.9.0 release candidate to
> >>> >> > >> > > > >>> https://dist.apache.org/repos/
> >>> dist/dev/ignite/1.9.0-rc1/
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> Git tag name is
> >>> >> > >> > > > >>> 1.9.0-rc1
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> This release includes
the following changes:
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> Ignite:
> >>> >> > >> > > > >>> * Added Data streamer
mode for DML
> >>> >> > >> > > > >>> * Added Discovery SPI
Implementation for Ignite
> >>> Kubernetes
> >>> >> > Pods
> >>> >> > >> > > > >>> * SQL: Query can utilize
multiple threads
> >>> >> > >> > > > >>> * SQL: Improved distributed
SQL support
> >>> >> > >> > > > >>> * Benchmarking simplified
and automated
> >>> >> > >> > > > >>> * Fixed licenses generation
during build
> >>> >> > >> > > > >>> * ignite-spark module
upgraded to Spark 2.0
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> Ignite.NET:
> >>> >> > >> > > > >>> * DML support
> >>> >> > >> > > > >>> * TransactionScope API
for Ignite transactions
> support
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> Ignite CPP:
> >>> >> > >> > > > >>> * DML support
> >>> >> > >> > > > >>> * Implemented LoadCache
> >>> >> > >> > > > >>> * ContinuousQuery support
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> Complete list of closed
issues:
> >>> >> > >> > > > >>> https://issues.apache.org/
> jira/issues/?jql=project%20%
> >>> >> > >> > > > 3D%20IGNITE%20AND%
> >>> >> > >> > > > >>> 20fixVersion%20%3D%201.9%20AND%20(status%20%3D%
> >>> >> > >> > > > >>> 20closed%20or%20status%20%3D%20resolved)
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> DEVNOTES
> >>> >> > >> > > > >>> https://git-wip-us.apache.org/
> >>> >> repos/asf?p=ignite.git;a=blob_
> >>> >> > >> > > > >>> plain;f=DEVNOTES.txt;hb=refs/tags/1.9.0-rc1
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> RELEASENOTES
> >>> >> > >> > > > >>> https://git-wip-us.apache.org/
> >>> >> repos/asf?p=ignite.git;a=blob_
> >>> >> > >> > > > >>> plain;f=RELEASE_NOTES.txt;hb=refs/tags/1.9.0-rc1
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> Please start voting.
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> +1 - to accept Apache
Ignite 1.9.0-rc1
> >>> >> > >> > > > >>> 0 - don't care either
way
> >>> >> > >> > > > >>> -1 - DO NOT accept Apache
Ignite 1.9.0-rc1 (explain
> >>> why)
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>> This vote will go for
72 hours.
> >>> >> > >> > > > >>>
> >>> >> > >> > > > >>
> >>> >> > >> > > > >>
> >>> >> > >> > > > >>
> >>> >> > >> > > > >> --
> >>> >> > >> > > > >> С уважением,
> >>> >> > >> > > > >> Чураев Антон
> >>> >> > >> > > > >>
> >>> >> > >> > > >
> >>> >> > >> > > >
> >>> >> > >> > >
> >>> >> > >> > >
> >>> >> > >> > > --
> >>> >> > >> > > Sergey Kozlov
> >>> >> > >> > > GridGain Systems
> >>> >> > >> > > www.gridgain.com
> >>> >> > >> > >
> >>> >> > >> >
> >>> >> > >>
> >>> >> > >>
> >>> >> > >>
> >>> >> > >> --
> >>> >> > >> Sergey Kozlov
> >>> >> > >> GridGain Systems
> >>> >> > >> www.gridgain.com
> >>> >> > >>
> >>> >> > >
> >>> >> > >
> >>> >> >
> >>> >>
> >>> >
> >>> >
> >>>
> >>
> >>
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message